!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the list of files
response = client.files.list(limit=10)
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the list of files
const response = await client.files.list({ limit: 10 });
console.log(response);
[
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
List Files
Get all files uploaded by the user with pagination.
GET
/
v1
/
files
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the list of files
response = client.files.list(limit=10)
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the list of files
const response = await client.files.list({ limit: 10 });
console.log(response);
[
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the list of files
response = client.files.list(limit=10)
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the list of files
const response = await client.files.list({ limit: 10 });
console.log(response);
Authorizations
Query Parameters
Response
Successful Response